org.eclnt.jsfserver.elements.componentnodes

## Class SIZETRANSFERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.SIZETRANSFERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class SIZETRANSFERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SIZETRANSFERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SIZETRANSFERNode` | `bindActionListener(IActionListenerDelegation value)`
    `SIZETRANSFERNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `SIZETRANSFERNode` | `bindComment(IDynamicContentBindingObject value)`
    `SIZETRANSFERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `SIZETRANSFERNode` | `bindFlush(IDynamicContentBindingObject value)`
    `SIZETRANSFERNode` | `bindHorizontalcategories(IDynamicContentBindingObject value)`
    `SIZETRANSFERNode` | `bindRendered(IDynamicContentBindingObject value)`
    `SIZETRANSFERNode` | `bindSizevalue(IDynamicContentBindingObject value)`
    `SIZETRANSFERNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `SIZETRANSFERNode` | `bindVerticalcategories(IDynamicContentBindingObject value)`
    `SIZETRANSFERNode` | `setActionListener(java.lang.String value)`
    `SIZETRANSFERNode` | `setAdapterbinding(java.lang.String value)`
    `SIZETRANSFERNode` | `setAttributemacro(java.lang.String value)`
    `SIZETRANSFERNode` | `setComment(java.lang.String value)`
    `SIZETRANSFERNode` | `setConfiginfo(java.lang.String value)`
    `SIZETRANSFERNode` | `setFlush(boolean value)`
    `SIZETRANSFERNode` | `setFlush(java.lang.String value)`
    `SIZETRANSFERNode` | `setHorizontalcategories(java.lang.String value)`
    `SIZETRANSFERNode` | `setId(java.lang.String value)`
    `SIZETRANSFERNode` | `setRendered(boolean value)`
    `SIZETRANSFERNode` | `setRendered(java.lang.String value)`
    `SIZETRANSFERNode` | `setSizevalue(java.lang.String value)`
    `SIZETRANSFERNode` | `setStylevariant(java.lang.String value)`
    `SIZETRANSFERNode` | `setVerticalcategories(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SIZETRANSFERNode

          public SIZETRANSFERNode()

  - ### Method Detail

    - #### setId

          public SIZETRANSFERNode setId(java.lang.String value)

    - #### setActionListener

          public SIZETRANSFERNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public SIZETRANSFERNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public SIZETRANSFERNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public SIZETRANSFERNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public SIZETRANSFERNode setAttributemacro(java.lang.String value)

    - #### setComment

          public SIZETRANSFERNode setComment(java.lang.String value)

    - #### bindComment

          public SIZETRANSFERNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public SIZETRANSFERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public SIZETRANSFERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setFlush

          public SIZETRANSFERNode setFlush(java.lang.String value)

    - #### bindFlush

          public SIZETRANSFERNode bindFlush(IDynamicContentBindingObject value)

    - #### setFlush

          public SIZETRANSFERNode setFlush(boolean value)

    - #### setHorizontalcategories

          public SIZETRANSFERNode setHorizontalcategories(java.lang.String value)

    - #### bindHorizontalcategories

          public SIZETRANSFERNode bindHorizontalcategories(IDynamicContentBindingObject value)

    - #### setRendered

          public SIZETRANSFERNode setRendered(java.lang.String value)

    - #### bindRendered

          public SIZETRANSFERNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public SIZETRANSFERNode setRendered(boolean value)

    - #### setSizevalue

          public SIZETRANSFERNode setSizevalue(java.lang.String value)

    - #### bindSizevalue

          public SIZETRANSFERNode bindSizevalue(IDynamicContentBindingObject value)

    - #### setStylevariant

          public SIZETRANSFERNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public SIZETRANSFERNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setVerticalcategories

          public SIZETRANSFERNode setVerticalcategories(java.lang.String value)

    - #### bindVerticalcategories

          public SIZETRANSFERNode bindVerticalcategories(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.